Subject: Re: [PATCH net 3/3] net: mscc: ocelot: fix duplicate driver name error

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 24 Feb 2023 16:14:25 +0000

On Fri, Feb 24, 2023 at 06:09:20PM +0200, Vladimir Oltean wrote:
> On Fri, Feb 24, 2023 at 03:58:15PM +0000, Russell King (Oracle) wrote:
> > I'll also send another patch to delete linux/phylink.h from
> > ocelot_ext.c - seems that wasn't removed when the phylink instance
> > was removed during review.
> 
> Good point. I suppose that would be on net-next, after the 6th of March?
> I just hope we'll remember by then.

Yep - however, I'm facing challenges to build-testing it at the moment
as net-next is broken:

kernel/bpf/core.c: In function '___bpf_prog_run':
kernel/bpf/core.c:1914:3: error: implicit declaration of function 'barrier_nospec' [-Werror=implicit-function-declaration]
 1914 |   barrier_nospec();
      |   ^~~~~~~~~~~~~~
cc1: some warnings being treated as errors

... so I'm going to send the patch as untested.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!